{
    "path": "$OET_PATH/testcases/function_test/pkg_test/bison/bison",
    "machine num": 1,
    "cases": [
        {
            "name": "test_bison_install",
            "desc": "测试bison软件包的安装功能，验证安装过程是否正常完成。",
            "machine num": 1
        },
        {
            "name": "test_bison_version",
            "desc": "测试bison软件包的版本查询功能，验证bison --version命令能正确返回版本信息。"
        },
        {
            "name": "test_bison_help",
            "desc": "测试bison的帮助信息功能，验证bison --help命令能正确显示帮助文档。"
        },
        {
            "name": "test_bison_uninstall",
            "desc": "测试bison软件包的卸载功能，验证卸载过程正常，卸载后bison命令不再可用。"
        },
        {
            "name": "test_bison_function_install",
            "desc": "测试bison软件包的安装功能，验证安装过程无报错，安装后bison命令可被系统识别。"
        },
        {
            "name": "test_bison_function_version",
            "desc": "测试bison的版本查询功能，验证bison --version命令能正确返回版本信息。"
        },
        {
            "name": "test_bison_function_help",
            "desc": "测试bison的帮助信息功能，验证bison --help命令能正确显示帮助文档。"
        },
        {
            "name": "test_bison_bison_h",
            "desc": "测试显示帮助信息"
        },
        {
            "name": "test_bison_bison_upper_v",
            "desc": "测试输出版本信息"
        },
        {
            "name": "test_bison_bison_print_localedir",
            "desc": "测试输出包含区域设置数据的目录"
        },
        {
            "name": "test_bison_bison_print_datadir",
            "desc": "测试输出包含骨架文件和XSLT的目录"
        },
        {
            "name": "test_bison_bison_f_caret",
            "desc": "测试激活显示错误插入符号功能"
        },
        {
            "name": "test_bison_bison_color_never",
            "desc": "测试从不着色输出"
        },
        {
            "name": "test_bison_bison_color_auto",
            "desc": "测试在输出设备是tty时着色"
        },
        {
            "name": "test_bison_function_uninstall",
            "desc": "验证bison软件包能够被完全卸载，卸载后bison命令不再可用。"
        }
    ]
}